<?php

/**
 *  Informatica Eindproject D4p
 *  6in3, Stedelijk Gymnasium Nijmegen
 *  Docent: Hans de Wolf
 *
 *  ==================
 *
 *  Daniel Boutros,
 *  Christiaan Goossens,
 *  Jelmer Hinssen
 */

namespace Inforbank\Application;

use \Slim\App;
use Inforbank\Application\Helper\Header;
use Inforbank\Application\Helper\Berichten as BerichtHelper;

class Berichten
{
    public function __construct(App $app)
    {
        $app->get('/berichten', function ($request, $response, $args) {
            return $this->renderer->render($response, 'berichten.phtml', [
                'header' => Header::getHeaderData(),
                'berichten' => BerichtHelper::getUserBerichten()
            ]);
        })->add(new Auth\Middleware());
    }
}
